Unable to upgrade openssl from 1.0.2h to 1.1.0c on windows

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Unable to upgrade openssl from 1.0.2h to 1.1.0c on windows

hariprasad.n
This post has NOT been accepted by the mailing list yet.
This post was updated on .
I am trying to upgrade openssl from 1.0.2h to 1.1.0c and getting unable to load mod_ssl.so error.

If i revert back everything is working fine. I am using Apache 2.4.17 on windows 2008 R2 standard server.

I am trying to upgrade openssl by downloading compiled binaries from below mentioned site.

http://p-nand-q.com/programming/windows/building_openssl_with_visual_studio_2013.html 

I am replacing below dll's for upgrade with libeay32.dll, ssleay32.dll and openssl.exe files.
1) libcrypto-1_1-x64.dll
2) libssl-1_1-x64.dll
3) openssl.exe
4) msvcr120.dll

Can someone please update whats going on here.

Thanks in advance